import API from "@/utils/requests/API";
import { IUser } from "../../../../../types/user";

type RegisterResponse = {
    token: string;
    user: IUser;
    success: boolean;
    message: string;
};

export const register = async (username: string, email: string, password: string): Promise<RegisterResponse> => {
  const response = await API.post<RegisterResponse>('/register', { username, email, password });
  return response;
};