import User from "@/models/user/user";
import { createToken, passwordHash } from "@/utils/token";
import { Request, Response } from "express";
import { CallbackWithoutResultAndOptionalError } from "mongoose";
import { IUser } from "../../../../../types/user";

const login = async (req: Request, res: Response, next: CallbackWithoutResultAndOptionalError) => {
    try {
        const { email, password } = req.body as IUser;
        const user = await User.findOne({ 
            email, 
            password: passwordHash(password)
        });
        if (!user) {
            res.status(401).json({ message: "These email and password are invalid." });
            return;
        }
        const token = createToken(user._id, user.password);
        res.status(201).json({ message: "Login successful", user, token, success: true });
        next();
    } catch (error: any) {
        res.status(401).json({ message: "These email and password are invalid." });
    }
};

export default login;
