import { createHmac } from "crypto";
import jwt from "jsonwebtoken";
import { ObjectId } from "mongodb";

export const createToken = (id: ObjectId, pass: string): string => {
  return jwt.sign({ id, pass }, process.env.SECRET!, { expiresIn: "30d", algorithm: "HS512" });
}

export const passwordHash = (password: string): string => {
  return createHmac('sha512', process.env.SECRET!).update(password).digest('hex');
}
